# TRenderableHelper Class Reference

Inheritance diagram for TRenderableHelper:

List of all members.

## Public Member Functions
virtual I3DShRenderable::EType MCCOMAPI | GetGeometryType () const =0
virtual void MCCOMAPI | GetBoundingBox (TBBox3D &bb)
TRenderableFlags MCCOMAPI | GetRenderableFlags (void) const
## Protected Member Functions
| TRenderableHelper (TMCColorRGB &inColorRef, TBBox3D &inBBoxRef, TRenderableFlags &inFlagsRef)
| ~TRenderableHelper ()
virtual MCCOMErr MCCOMAPI | SelfGetShadingApproximation (TShadingApproximation &shadingApprox, uint32 uvSpaceID) const
## Protected Attributes
TBBox3D & | fBBoxRef
TMCColorRGB & | fColorRef
TRenderableFlags & | fFlagsRef

## Constructor & Destructor Documentation

TRenderableHelper::TRenderableHelper | ( | TMCColorRGB & | inColorRef,
|  | TBBox3D & | inBBoxRef,
|  | TRenderableFlags & | inFlagsRef |
| ) |  |  | `[inline, protected]`

TRenderableHelper::~TRenderableHelper | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual void MCCOMAPI TRenderableHelper::GetBoundingBox | ( | TBBox3D & | bb | ) | `[inline, virtual]`

Returns the bounding box of the renderable in local coordinates (for triangle meshes).

Parameters:

  | bb | The bounding box that is returned.

Reimplemented from TCountedRenderable.

virtual I3DShRenderable::EType MCCOMAPI TRenderableHelper::GetGeometryType | ( |  | ) | const`[pure virtual]`

Returns the type of geometry that should be rendered (points, segments or triangles...)

Reimplemented from TCountedRenderable.

Implemented in TPointMeshRenderable, and TSegmentMeshRenderable.

TRenderableFlags MCCOMAPI TRenderableHelper::GetRenderableFlags | ( | void |  | ) | const`[inline, virtual]`

Returns the flags associated with this renderable. See TRenderableFlags for more info.

Reimplemented from TCountedRenderable.

virtual MCCOMErr MCCOMAPI TRenderableHelper::SelfGetShadingApproximation | ( | TShadingApproximation & | shadingApprox,
|  | uint32 | uvSpaceID |
| ) |  |  | const`[inline, protected, virtual]`

Reimplemented from TCountedRenderable.

## Member Data Documentation

TBBox3D& TRenderableHelper::fBBoxRef`[protected]`

TMCColorRGB& TRenderableHelper::fColorRef`[protected]`

TRenderableFlags& TRenderableHelper::fFlagsRef`[protected]`

The documentation for this class was generated from the following file:

- BasicRenderables.h